# $Id: smeserver-ezmlm-web.spec,v 1.5 2022/07/22 06:08:02 jpp Exp $
# Authority: gordonr
# Name: Gordon Rowell

Summary: SME Server support for ezmlm-web
%define name smeserver-ezmlm-web
Name: %{name}
%define version 1.1.3
%define release 12
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Source1: unknown.gif
Patch0: smeserver-ezmlm-web-1.1.3-ezmlmweb331.patch
Patch1: smeserver-ezmlm-web-1.1.3-configurable.patch
Patch2: smeserver-ezmlm-web-1.1.3-bz10241-security.patch
Patch3: smeserver-ezmlm-web-1.1.3-bz11288-sme10.patch
Patch4: smeserver-ezmlm-web-1.1.3-bz6978-bz9468-bz11910-sme10next.patch
Patch5: smeserver-ezmlm-web-1.1.3-bz12045-httpd24.patch

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: ezmlm-idx >= 7
Requires: e-smith-release >= 10.0
Requires: e-smith-email >= 4.4.0
Requires: ezmlm-web
Requires: perl(Mail::Ezmlm) >= 0.07
Requires: e-smith-apache >= 2.6.0-19
Obsoletes: e-smith-ezmlm-web
Provides: e-smith-ezmlm-web
BuildRequires: e-smith-devtools
Conflicts: e-smith-ezmlm-idx
AutoReqProv: no

%changelog
* Fri Jul 22 2022 Jean-Philippe Pialasse <tests@pialasse.com> 1.1.3-12.sme
- update to httpd 2.4 syntax [SME: 12045]

* Sun Mar 20 2022 Jean-Philippe Pialasse <tests@pialasse.com> 1.1.3-10.sme
- fix only subscribers may post  [SME: 6978]
- fix cannot create archive [SME: 9468]
- add more ml properties in server-manager  [SME: 11910]

* Sat Mar 19 2022 Jean-Philippe Pialasse <tests@pialasse.com> 1.1.3-9.sme
- renamed correctly update event [SME: 11288]
  added admin as webuser, owner are default webuser

* Tue Mar 15 2022 Jean-Philippe Pialasse <tests@pialasse.com> 1.1.3-8.sme
-  first import in SME10 [SME: 11288]
   create update event for yum
   
* Mon Apr 17 2017 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.3-7.sme
- improve security [SME: 10241]
- added userpanel-mailinglist 
- added per user and per list delegation.
- new template to expand for webusers file in different events

* Fri Apr 22 2016 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.3-4.sme
- update for initial import [SME: 8439]
- now support ezmlm-web-3.31 and ezmlm-idx-7.2.2
- bump release to cvs admin -ko smeserver-ezmlm-web-1.1.3-configurable.patch

* Mon Jun 16 2014 JP Pialasse <tests@pialasse.com> 1.1.3-1.sme
- initial import to SME9 contribs

* Tue Dec 10 2013 JP Pialasse <tests@pialasse.com> 1.1.2-12
- fix deletion bug [SME: 3599]

* Wed Mar 8 2006 Gordon Rowell <gordonr@gormand.com.au> 1.1.2-11
- Move ezmlm-web fragment to admin web server

* Wed Mar 8 2006 Gordon Rowell <gordonr@gormand.com.au> 1.1.2-10
- Bump e-smith-release requirement to 7.0 since we are now using the
  templates2expand and services2adjust

* Wed Mar 8 2006 Gordon Rowell <gordonr@gormand.com.au> 1.1.2-09
- Fix up banner to say SME Server
- TODO: Fix background colour bar

* Wed Mar 8 2006 Gordon Rowell <gordonr@gormand.com.au> 1.1.2-08
- Fix up panel so link to ezmlm-web works
- Add httpd.conf template for ezmlm-web
- Reserve ezmlm-web url

* Wed Mar 8 2006 Gordon Rowell <gordonr@gormand.com.au> 1.1.2-07
- Fix up event links, expand goodrcptto
- TODO: Fix up list deletion
- TODO: Store lists in accounts db as FQDN and migrate old ones

* Wed Mar 8 2006 Gordon Rowell <gordonr@gormand.com.au> 1.1.2-06
- Add a dependency on Mail::Ezmlm

* Wed Mar 8 2006 Gordon Rowell <gordonr@gormand.com.au> 1.1.2-05
- The newer Mail::Ezmlm breaks when passing the -5 parameter to
  set the owner. Do it as a separate step after list creation.
- Fix up to API update
- TODO: Need to expand goodrcptto in list create/delete

* Fri Feb 17 2006 Charlie Brady <charlie_brady@mitel.com> 1.1.2-04
- Fix new_record call in previous change.

* Fri Feb 17 2006 Charlie Brady <charlie_brady@mitel.com> 1.1.2-03
- Rewrite templates and actions to new API and templates2events

* Tue Oct 25 2005 Gordon Rowell <gordonr@gormand.com.au> 1.1.2-02
- Fix up references to accounts db
- TODO: Rewrite templates and actions to new API and templates2events

* Tue Oct 25 2005 Gordon Rowell <gordonr@gormand.com.au> 1.1.2-01
- Package renamed to smeserver-ezmlm-web, including patches to 1.1.1-05
- TODO: Fix up accounts db references
- TODO: Store mailing lists with FQDN of list

* Fri Oct 4 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.1.1-05]
- post-upgrade/init-accounts does chown root:root /home/e-smith/files/*
  and ezmlm needs to be able to write to its home directory
  The permissions should be in the e-smith-base RPM spec file. Added
  a workaround in ezmlm-update to ensure we have the right permissions
  until e-smith-base is updated.

* Mon Dec 31 2001 Mark Knox <markk@e-smith.com>
- [1.1.1-04]
- Incorporated cosmetic changes from Daniel van Raay 

* Wed Oct 24 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.1-03]
- Added support for list owner to ezmlm-update
- Removed now redundant listOptions
- Adjusted Copyright notices

* Wed Oct 24 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.1-02]
- Added link for ezmlm-web CGI script
- Added action to expand /etc/ezmlm/ezmlmwebrc on email-update

* Wed Oct 24 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.1-01]
- Rolled version number to 1.1.1-01. Includes patches upto 1.1.0-02.
- Renamed to e-smith-ezmlm-web, and added Conflicts: e-smith-ezmlm-idx

* Wed Oct 24 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-02]
- Major rewrite, using ezmlm-web

* Wed Oct 24 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-01]
- Rolled version number to 1.1.0-01. Includes patches upto 0.1.3-19.

* Fri Oct 19 2001 Gordon Rowell <gordonr@e-smith.com>
- [0.1.3-19]
- The new "Description" field was not modified during performListModify

* Thu Oct 18 2001 Gordon Rowell <gordonr@e-smith.com>
- [0.1.3-18]
- Put back Charlie's comments describing the options

* Thu Oct 18 2001 Daniel van Raay <danielvr@caa.org.au>
- [0.1.3-17]
- Added description field for each list
- Added support for adding and removing subscribers
- Moving moderator list to a textbox
- Fixed bug when removing a lists .qmail files

* Mon Sep 03 2001 Gordon Rowell <gordonr@e-smith.com>
- [0.1.3-16]
- Actually create a list of existingDomains for the "Create List" domain
  pull-down

* Thu Aug 30 2001 Gordon Rowell <gordonr@e-smith.com>
- [0.1.3-15]
- Fixed up typo in call to ezmlm-make

* Thu Aug 30 2001 Gordon Rowell <gordonr@e-smith.com>
- [0.1.3-14]
- You can now add and remove moderators
- Added some text to explain the options until they become menus

* Sat Aug 25 2001 Gordon Rowell <gordonr@e-smith.com>
- [0.1.3-13]
- Added initial moderator support 
- You can add moderators, but not remove them, yet :-)

* Sat May 26 2001 Gordon Rowell <gordonr@e-smith.com>
- [0.1.3-12]
- Allow hyphens in list names

* Wed Apr 25 2001 Gordon Rowell <gordonr@e-smith.com>
- [0.1.3-11]
- Added domain to users/assign entries

* Mon Apr 23 2001 Gordon Rowell <gordonr@e-smith.com>
- [0.1.3-09]
- Made use of /var/qmail/users/assign. 
- Removed ezmlmdomain type - just use DomainName and %domains

* Tue Mar 06 2001 Gordon Rowell <gordonr@e-smith.com>
- [0.1.3-08]
- Use upper-case directory name to ease transition from manual installs

* Tue Mar 06 2001 Gordon Rowell <gordonr@e-smith.com>
- [0.1.3-07]
- Comment to smtpd_check_rules, typo in virtualdomains

* Tue Mar 06 2001 Gordon Rowell <gordonr@e-smith.com>
- [0.1.3-06]
- Added ezmlmdomain type to domains db and reworked fragments to use this

* Tue Mar 06 2001 Gordon Rowell <gordonr@e-smith.com>
- [0.1.3-05]
- Allow hypens in domain names
- Fix output permissions for virtualdomains file

* Mon Mar 05 2001 Gordon Rowell <gordonr@e-smith.com>
- [0.1.3-04]
- Fixed uid swap code
- Moved most system() calls to list form

* Mon Mar 05 2001 Gordon Rowell <gordonr@e-smith.com>
- [0.1.3-03]
- And create home directory too :-)

* Mon Mar 05 2001 Gordon Rowell <gordonr@e-smith.com>
- [0.1.3-02]
- Create ezmlm user if it doesn't already exist

* Mon Mar 05 2001 Gordon Rowell <gordonr@e-smith.com>
- [0.1.3-01]
- Added web panel, changed links, rebuilt tarball to remove filelist

* Mon Mar 05 2001 Gordon Rowell <gordonr@e-smith.com>
- [0.1.2-01]
- Fixed event links in tarball

* Mon Mar 05 2001 Gordon Rowell <gordonr@e-smith.com>
- [0.1.1-01]
- Initial version

%description
Configuration and initialisation of ezmlm-web from e-smith

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

mkdir -p root/etc/e-smith/web/common
cp -f $RPM_SOURCE_DIR/unknown.gif root/etc/e-smith/web/common
touch root/etc/e-smith/templates/home/e-smith/files/ezmlm/lists/webusers/template-begin
touch root/etc/e-smith/templates/home/e-smith/files/ezmlm/lists/webusers/template-end


%build
mkdir -p root/etc/e-smith/web/panels/manager/cgi-bin

mkdir -p root/etc/e-smith/web/panels/manager/common
ln -s /home/httpd/html/ezmlm-web/index.cgi root/etc/e-smith/web/panels/manager/common/ezmlm-web
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre
%preun
%post
%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
